# List hosting order numbers

Lists the numbers belonging to the specified hosting order.

Endpoint: GET /v1/projects/{projectId}/hostingOrders/{hostingOrderId}/numbers
Version: 1.0
Security: Basic, OAuth2.0

## Path parameters:

  - `projectId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "d1923022-5199-4bb3-a513-c47b3a656bc5"

  - `hostingOrderId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "01arz3ndektsv4rrffq69g5fav"

## Query parameters:

  - `orderBy` (string)
    Parameter used to order the returned hosting orders
    Enum: "createdTime", "updatedTime"

  - `pageToken` (string)
    The next page token value returned from a previous listing.
    Example: "C2VNYXJrEg4KDCsxMjAxMjI2MzUyOQ=="

  - `pageSize` (integer)
    The maximum number of items to return, server can enforce an upper limit and overwrite the value.
    Example: 20

  - `osrUpdateState` (string)
    Filter the results by the state of the OSR update.
    Enum: "DONE", "FAILED", "IN_PROGRESS", "WAITING", "STATE_UNSPECIFIED"

  - `campaignProvisioningState` (string)
    Filter the results by the state of the campaign provisioning.
    Enum: same as `osrUpdateState` (5 values)

  - `platformProvisioningState` (string)
    Filter the results by the state of the platform provisioning.
    Enum: same as `osrUpdateState` (5 values)

## Response 200 fields (application/json):

  - `numbers` (array)

  - `numbers.projectId` (string)
    The project ID to which the number belongs.
    Example: "YOUR_project_id"

  - `numbers.hostingOrderId` (string)
    The ID of the hosting order to which the number belongs.
    Example: "YOUR_hosting_order_id"

  - `numbers.phoneNumber` (string)
    The phone number in e.164 format with leading +.
    Example: "+12025550134"

  - `numbers.osrUpdate` (object)
    An object containing information about the OSR update.

  - `numbers.osrUpdate.nnid` (string)
    The Net Number ID identifying the phone number.

  - `numbers.osrUpdate.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdateState` (5 values)

  - `numbers.campaignProvisioning` (object)
    An object containing information about campaign provisioning.

  - `numbers.campaignProvisioning.campaignId` (string)
    The campaign ID to which the hosting order is associated.
    Example: "YOUR_campaign_id"

  - `numbers.campaignProvisioning.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdateState` (5 values)

  - `numbers.platformProvisioning` (object)
    An object containing information related to the provisioning on the platform.

  - `numbers.platformProvisioning.servicePlanId` (string)
    The service plan ID to which the hosting order number is associated.
    Example: "YOUR_service_plan_id"

  - `numbers.platformProvisioning.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdateState` (5 values)

  - `numbers.smsAtt` (object)
    Contains information about hosted SMS AT&T numbers.

  - `numbers.smsAtt.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdateState` (5 values)

  - `numbers.smsAtt.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `numbers.smsAtt.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `numbers.smsAtt.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: "2025-04-02T19:45:28.650924Z"

  - `numbers.smsTmo` (object)
    Contains information about hosted SMS T-Mobile numbers.

  - `numbers.smsTmo.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdateState` (5 values)

  - `numbers.smsTmo.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `numbers.smsTmo.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `numbers.smsTmo.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: "2025-04-02T19:45:28.650924Z"

  - `numbers.mmsAtt` (object)
    Contains information about hosted MMS AT&T numbers.

  - `numbers.mmsAtt.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdateState` (5 values)

  - `numbers.mmsAtt.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `numbers.mmsAtt.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `numbers.mmsAtt.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: "2025-04-02T19:45:28.650924Z"

  - `numbers.mmsTmo` (object)
    Contains information about hosted MMS T-Mobile numbers.

  - `numbers.mmsTmo.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdateState` (5 values)

  - `numbers.mmsTmo.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `numbers.mmsTmo.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `numbers.mmsTmo.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: "2025-04-02T19:45:28.650924Z"

  - `nextPageToken` (string)

  - `totalSize` (integer)

## Response 404 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: "404"

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: "The imported number could not be found."

  - `status` (string)
    The HTTP response status for the error.
    Example: "NOT_FOUND"


